Group: Shells
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(glib-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# workaround the Deprecated types
%global optflags %(echo %{optflags} -Wno-deprecated-declarations)

Name:           nautilus-search-tool
Version:        0.3.0
Release:        alt2_36
Summary:        A Nautilus extension that makes searching for files easier

License:        GPLv2+
URL:            http://saettaz.altervista.org/software/nautilus_search_tool.html
Source0:        http://dl.sourceforge.net/nautsearchtool/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml
Patch0:         nautilus-search-tool-0.3.0-headers-typos.patch
Patch1:         nautilus-search-tool-no-eels.patch
Patch2:         nautilus-search-tool-0.3.0-noninit.patch
Patch3:         nautilus-search-tool-0.3.0-startdir.patch
Patch4:         nautilus-search-tool-0.3.0-gtk3.patch
Patch5:         nautilus-search-tool-0.3.0-gnome-desktop.patch
Patch6:         nautilus-search-tool-0.3.0-gnome3.patch
Patch7:         nautilus-search-tool-0.3.0-neheader.patch
BuildRequires:  gcc-c++
BuildRequires:	libtool gettext gettext-tools intltool
BuildRequires:	libnautilus-devel
BuildRequires:	GConf libGConf-devel libGConf-gir-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:  /usr/bin/gnome-search-tool
BuildRequires:  autoconf

Requires:       /usr/bin/gnome-search-tool
Source44: import.info


%description
This package adds an option to the context menu of folders in Nautilus to
search for files.

%prep
%setup -q
%patch0 -p1 -b .headers-typos
%patch1 -p1 -b .no-eels
%patch2 -p1 -b .noninit
%patch3 -p1 -b .startdir
%patch4 -p1 -b .gtk3
%patch5 -p1 -b .gnome-desktop
%patch6 -p1 -b .gnome3
%patch7 -p1 -b .neheader

%build
autoconf
%configure --disable-static
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
install -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/appdata/%{SOURCE1}
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_libdir}/nautilus/extensions-3.0/*.so
%{_datadir}/appdata/*

%changelog
* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_36
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_35
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.3.0-alt2_34
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt2_33
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_33
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_32
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_30
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_29
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_28
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_25
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_23
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_22
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_20
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_19
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_18
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_17
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_16
- initial fc import

* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_15
- initial fc import

